csDocumentNodeCommon Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csDocumentNodeCommon Class Reference

Partial iDocumentNode implementation with commonly duplicated logic. More...

`#include <csutil/documentcommon.h>`

Inheritance diagram for csDocumentNodeCommon:

List of all members.

## Public Member Functions
csRef< iDocumentAttribute > | GetAttribute (const char *)
| Dummy implementation.
virtual csRef < iDocumentAttributeIterator > | GetAttributes ()
| Return empty iterator.
virtual csRef< iDocumentNode > | GetNode (const char *)
| Dummy implementation.
virtual csRef < iDocumentNodeIterator > | GetNodes ()
| Return empty iterator.
virtual csRef < iDocumentNodeIterator > | GetNodes (const char *value)
| Return iterator wrapping around the one returned by GetNodes() and filtering for nodes with a value of value.
virtual void | SetValueAsInt (int value)
| Converts 'value' to a string and calls SetValue() with it.
virtual void | SetValueAsFloat (float value)
| Converts 'value' to a string and calls SetValue() with it.
virtual const char * | GetContentsValue ()
| Returns value of first child text node.
virtual int | GetContentsValueAsInt ()
| Returns value of first child text node.
virtual float | GetContentsValueAsFloat ()
| Returns value of first child text node.
virtual const char * | GetAttributeValue (const char *name, const char *defaultValue=0)
| Returns value of an attribute.
virtual int | GetAttributeValueAsInt (const char *name, int defaultValue=0)
| Returns value of an attribute.
virtual float | GetAttributeValueAsFloat (const char *name, float defaultValue=0.0f)
| Returns value of an attribute.
virtual bool | GetAttributeValueAsBool (const char *name, bool defaultValue=false)
| Returns value of an attribute.
virtual void | SetAttributeAsInt (const char *name, int value)
| Converts 'value' to a string and calls SetAttribute() with it.
virtual void | SetAttributeAsFloat (const char *name, float value)
| Converts 'value' to a string and calls SetAttribute() with it.

## Detailed Description

Partial iDocumentNode implementation with commonly duplicated logic.

Definition at line 69 of file documentcommon.h.

## Member Function Documentation

csRef<iDocumentAttribute> csDocumentNodeCommon::GetAttribute | ( | const char * |  | ) | `[inline, virtual]`

Dummy implementation.

Implements iDocumentNode.

Definition at line 110 of file documentcommon.h.

virtual csRef<iDocumentAttributeIterator> csDocumentNodeCommon::GetAttributes | ( |  | ) | `[inline, virtual]`

Return empty iterator.

Implements iDocumentNode.

Definition at line 103 of file documentcommon.h.

virtual const char* csDocumentNodeCommon::GetAttributeValue | ( | const char * | name,
|  | const char * | defaultValue = `0`
| ) |  | `[virtual]`

Returns value of an attribute.

Implements iDocumentNode.

virtual bool csDocumentNodeCommon::GetAttributeValueAsBool | ( | const char * | name,
|  | bool | defaultValue = `false`
| ) |  | `[virtual]`

Returns value of an attribute.

Implements iDocumentNode.

virtual float csDocumentNodeCommon::GetAttributeValueAsFloat | ( | const char * | name,
|  | float | defaultValue = `0.0f`
| ) |  | `[virtual]`

Returns value of an attribute.

Implements iDocumentNode.

virtual int csDocumentNodeCommon::GetAttributeValueAsInt | ( | const char * | name,
|  | int | defaultValue = `0`
| ) |  | `[virtual]`

Returns value of an attribute.

Implements iDocumentNode.

virtual const char* csDocumentNodeCommon::GetContentsValue | ( |  | ) | `[virtual]`

Returns value of first child text node.

Converts from a string if necessary.

Implements iDocumentNode.

virtual float csDocumentNodeCommon::GetContentsValueAsFloat | ( |  | ) | `[virtual]`

Returns value of first child text node.

Converts from a string if necessary.

Implements iDocumentNode.

virtual int csDocumentNodeCommon::GetContentsValueAsInt | ( |  | ) | `[virtual]`

Returns value of first child text node.

Converts from a string if necessary.

Implements iDocumentNode.

virtual csRef<iDocumentNode> csDocumentNodeCommon::GetNode | ( | const char * |  | ) | `[inline, virtual]`

Dummy implementation.

Implements iDocumentNode.

Definition at line 89 of file documentcommon.h.

virtual csRef<iDocumentNodeIterator> csDocumentNodeCommon::GetNodes | ( |  | ) | `[inline, virtual]`

Return empty iterator.

Implements iDocumentNode.

Definition at line 81 of file documentcommon.h.

virtual csRef<iDocumentNodeIterator> csDocumentNodeCommon::GetNodes | ( | const char * | value | ) | `[virtual]`

Return iterator wrapping around the one returned by GetNodes() and filtering for nodes with a value of value.

Implements iDocumentNode.

virtual void csDocumentNodeCommon::SetAttributeAsFloat | ( | const char * | name,
|  | float | value
| ) |  | `[virtual]`

Converts 'value' to a string and calls SetAttribute() with it.

Implements iDocumentNode.

Reimplemented in csDocumentNodeReadOnly.

virtual void csDocumentNodeCommon::SetAttributeAsInt | ( | const char * | name,
|  | int | value
| ) |  | `[virtual]`

Converts 'value' to a string and calls SetAttribute() with it.

Implements iDocumentNode.

Reimplemented in csDocumentNodeReadOnly.

virtual void csDocumentNodeCommon::SetValueAsFloat | ( | float | value | ) | `[virtual]`

Converts 'value' to a string and calls SetValue() with it.

Implements iDocumentNode.

Reimplemented in csDocumentNodeReadOnly.

virtual void csDocumentNodeCommon::SetValueAsInt | ( | int | value | ) | `[virtual]`

Converts 'value' to a string and calls SetValue() with it.

Implements iDocumentNode.

Reimplemented in csDocumentNodeReadOnly.

The documentation for this class was generated from the following file:

- csutil/documentcommon.h